#include "annotation.h"


Annotation::Annotation(int s, float pr, QString p, QString t, QString a, QColor c) : section(s), percentage(pr), paragraph(p), text(t), annotation(a), color(c){

}

const QString& Annotation::getAnnotation()
{
    return annotation;
}

const QString& Annotation::getParagraph()
{
    return paragraph;
}

const QString& Annotation::getText(){
    return text;
}

int Annotation::getSection()
{
    return section;
}

int Annotation::getPage()
{
    return page;
}

int Annotation::getScroll()
{
    return scroll;
}

float Annotation::getPercentage()
{
    return percentage;
}

const QColor& Annotation::getColor()
{
    return color;
}

