#include "bookmark.h"

Bookmark::Bookmark(QString n, QColor c, int s, float pr) : name(n),
         color(c),
         section(s),
         percentage(pr)
{

    
}

QColor Bookmark::getColor()
{
    return color;
}

QString Bookmark::getName()
{
    return name;
}

int Bookmark::getScroll()
{
    return scrollPosition;
}

int Bookmark::getSection()
{
    return section;
}

int Bookmark::getPage()
{
    return page; 
}

float Bookmark::getPercentage()
{
    return percentage;
}
