#ifndef BOOKMARK_H
#define BOOKMARK_H

#include <QColor>

//TODO: Rename percentage to multiplier. Provide functions to get percentage information for easy
//displaying in UI.
class Bookmark
{
public:
    Bookmark(QString, QColor, int, float);
    QColor getColor();
    QString getName();
    int getScroll();
    int getSection();
    int getPage();
    float getPercentage();

private:
    QColor color;
    int section;
    int page;
    int scrollPosition;
    float percentage;
    QString name;

};

#endif
